Bug 772351 - Upgrade to 0.7
Upgrade to 0.7
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: roundcubemail (Show other bugs)
el6
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-06 17:00 EST by Orion Poplawski
Modified: 2012-06-30 21:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 04:36:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2012-01-06 17:00:13 EST
Description of problem:

Any reason not to update to 0.7?
Comment 1 Adam Williamson 2012-01-06 17:17:08 EST
I don't do any EPEL stuff, FWIW. I've been running 0.7 on my own systems for a while with no problems, though.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Orion Poplawski 2012-01-06 17:22:24 EST
The main consideration is does moving from 0.5.4 to 0.7 require any manual changes, or does it just work.  I suppose I may test this myself if no one else has any data points.
Comment 3 Adam Williamson 2012-01-06 17:38:39 EST
They do change the layout of the config file somewhat between releases, and you sometimes need to manually update it. I haven't tried a 0.5 -> 0.7 update without manual adjustments to the config file.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Christoph Wickert 2012-01-06 17:50:58 EST
Upgrading from 0.5.4 to 0.7 requires modifications of the database. The modifications are best run from the installer (which we don't ship) and they are sequentially, it amount of changes depends on your previous version.

In addition to that, there is a bug in the update script. It's already fixed in SVN and will be released next week in 0.7.1. Whatever we do, we should at least wait for that release.
Comment 5 Adam Williamson 2012-01-06 18:13:16 EST
oh, yeah. I usually do those manually according to the scripts they ship.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Orion Poplawski 2012-06-05 16:16:51 EDT
So, I installed 0.5.4 and configured it.  I then updated to 0.7.2.  Without making any changes to the config files or the database it appears to work okay.  So it at least doesn't not appear to be catastrophic.  There are a number of changes to db.inc.php and main.inc.php and the database though so I don't know what problems would crop up.

The UPGRADING file in /usr/share/doc/roundcubemail-0.7.2/ is useless and probably should be removed. http://trac.roundcube.net/wiki/Howto_Upgrade is better, but doesn't appear to be mentioned anywhere is the package docs.  I think that would be a good thing.

If there are any security vulnerabilities in 0.5.4 I would suggest an update.
Comment 7 Fedora Update System 2012-06-11 10:56:24 EDT
roundcubemail-0.7.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/roundcubemail-0.7.2-2.fc15
Comment 8 Fedora Update System 2012-06-11 10:57:29 EDT
roundcubemail-0.7.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/roundcubemail-0.7.2-2.fc16
Comment 9 Fedora Update System 2012-06-11 10:58:11 EDT
roundcubemail-0.7.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/roundcubemail-0.7.2-2.el6
Comment 10 Fedora Update System 2012-06-13 17:34:44 EDT
Package roundcubemail-0.7.2-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing roundcubemail-0.7.2-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9329/roundcubemail-0.7.2-2.fc15
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-06-22 04:36:41 EDT
roundcubemail-0.7.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-06-22 04:39:02 EDT
roundcubemail-0.7.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-06-30 21:37:03 EDT
roundcubemail-0.7.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.